package com.caliverse.admin.dynamodb.entity;


import com.caliverse.admin.domain.entity.common.ValueEnum;

public enum ECurrencyType implements ValueEnum {
    None(0),
    Gold(1),
    Sapphire(2),
    Calium(3),
    Beam(4),
    Ruby(5),
    ;

    private final int value;

    ECurrencyType(int value) {
        this.value = value;
    }

    @Override
    public int getValue() {
        return value;
    }
}
